Can you measure objects and find their midpoint with no flat surfaces?


#1

Hello all. I made a ring that is shaped like a wedding ring which is basically a ellipse that you use the follow me tool. although I can pay attention to the measurements when I first create the ellipse and the original circle, I was wondering if there is a way to check the measurements with the measuring tape tool or protractor?

I tried clicking “show entity” but it didn’t really tell me anything,

thanks,


#2

Go to the View menu and click on Hidden Geometry. Then you can see points to anchor your dimensions to.


#3

if you use xRay mode as well, all will be revealed…
john


#4

Thanks, gentlemen. I’m obviously a newbie. I’m been watching youtube videos on sketchup but I guess I have a lot more to learn and see.


#5

If you know the desired measurements, you can scale the ring to the exact size with the scale tool.


#6

Thank you but when hit the scale tool after picking the ring, I only see factors in the field that I can change. I don’t see how to input meter dimensions. And probably because there are zero flat surfaces anywhere on a ring made of an ellipse.

However, I did try the “hidden geometry” and I think triple clicking on the ring also let me pick points to use the measuring tape.

So thank you everyone, that does work.

Now I just need to figure out how to really find the middle of the ring when I make a guide with the measuring tape. I can pick what seems to be the top and bottom of the ring but I don’t see a midpoint when I move the tape.

If I upload the file here, if anyone can try it and see what I mean, how do you fin the midpoint of the ring width? The ring is about 6m wide (tall if ring is on the horizontal axis). But sketchup cannot seem to auto find the midpoint. Like let’s say I want to draw a new line across the middle of the ring?

ring.skp (1.8 MB)


#7

Got the video working.

And I’ll try TIG’s answer. Thank you sir.

[URL=http://tinypic.com/r/24dqa9j/8]View My Video[/URL]


#8

Check that menu View > Guides is checked.
Select the ring’s geometry [edit its group/component-instance where appropriate].
Copy/paste this one-liner into the Ruby Console + ‘enter’.
m=Sketchup.active_model; m.active_entities.add_cpoint(Geom::BoundingBox.new.add(m.selection.grep(Sketchup::Face).collect{|f| f.bounds.center }).center)

A guide-point is added at the center of the faces’ bounds…


#9

Thank you! I will try this when I get home.

For now, I made a working video of section of the ring I want to find the exact midpoint. (not the middle of empty space of ring but the midsection of a ring in respect to it’s curving.

[URL=http://tinypic.com/r/24dqa9j/8]View My Video[/URL]


#10

I tested on your uploaded SKP and it works fine…


#11

I was able to try it from work but I got an error.

I think I don’t understand how to properly group, ungroup, or select the file before running the script?

I did not try it ungrouped yet. I grouped it then selected, then ran ruby.

what do you think I did wrong?


#12

For those times when TIG isn’t handy to write you a script, you can measure your geometry with native tools. For starters, as @DaveR suggested, turn on hidden geometry so you can see what you’re measuring. Sometimes I find it helpful to use temporary geometry to help analyze complex geometry. In this picture, I was easily able to measure the max OD of the ring by passing a couple of grouped (so they don’t stick) faces through the ring geometry. I just snapped the faces to the appropriate edges on center:

Unfortunately, in the process I discovered that your ring is constructed off-axis:

That’s going to be a problem from now on. You must rely on inferencing to keep things on axis even when you’re constructing something like a circle. Sorry, but I suggest you construct it over, on-axis. And this time, start with an edge or guide line as an axis so you’ll have that reference when you need it…

Since circles in SU are actually polygons, remember that the points (as opposed to the flats) represent the true dimension of the circle. In other words, when you measure a diameter, measure from point-to-point.

-Gully


#13

You can enter a scale factor (just the number) or a dimension with e.g. mm, cm, …


#14

Thank you everyone again. Yes, it’s no problem to make the ring again. It’s pretty simple for me to do that. I thought I was using inferences OK but I was using a pretty small screen at the time so I probably didn’t notice something off earlier.

So if I understand correctly, in the picture above… you made 2d planes (the rectangles through the center which snaps to the edges of the ring, and thus you can then measure them?

thank you again, I’ll make the ring again and then try all of your ideas.


#15

It seems to me that when you display hidden geometry for an object with that many facets, it can be rather difficult and daunting to find the two particular points you’re looking for to make a measurement. The two (or three if you need them) centerplanes can be snapped to the relevant geometry, and you can tweak their positions until you’re sure you’ve got the right locations marked, allowing you to make real-time measurements quickly and accurately.

They also have the benefit of allowing you to check the geometry for basic form and orientation problems, such as being off-axis.

I’m assuming that you’ve got a strong reason for using that many facets, such as 3D-printing. For most other applications, using more than the default number of sides for a curve is generally more of a liability than a benefit.

-Gully


#16

Yes, you are correct that I’m interested in 3d printing designs. Again, I can’t thank you enough for sharing with me the basics for a newbie like me.

Well, I just got done remaking the ring and I tried all of the mentioned methods. I had the most success by simply making the initial circle that creates the ring at the origin. Then, I used inferencing very carefully to make sure all 4 axis were straight. I did also make the basic planes to check as you did but I was really, really cumbersome with it because I’m such a newbie.

But I’m good now because with the new ring being from the origin, I could see what you mean about the “points” being the exact center/mid points. Thanks again.

Thank you,
Rick


#17

[quote=“Rick, post:11, topic:14171”]
what do you think I did wrong?
[/quote] I said select its geometry [face(s)]…
Also I said. edit the group if appropriate [to access the faces]…
If you select its face[s] and run the one-liner it will add a guide-point at the center.


#18

Thank you. I corrected my errors.

I think I need to spend another week watching videos of all the native tools, I’m really liking sketchup so far.